#include "window.h"

#include <QtGui>

Window::Window(int pageId, int page_L_R, QString imgPath, QString meshPath, QImage srcInput)
{
    QGridLayout *mainLayout = new QGridLayout;

    glWidgets = new Qtmain(pageId,page_L_R, imgPath,meshPath,srcInput, 0, 0);

    mainLayout->addWidget(glWidgets);

    setLayout(mainLayout);

    currentGlWidget = glWidgets;

    showFullScreen();

    setWindowTitle(tr("Textures"));

    connect(glWidgets, SIGNAL(displayed()), this, SLOT(close()));

}
